Package org.eclipse.mat.snapshot

# Class DominatorsSummary.ClassloaderDominatorRecord

java.lang.Object
org.eclipse.mat.snapshot.DominatorsSummary.ClassloaderDominatorRecord

Enclosing class:
  `DominatorsSummary`

public static class DominatorsSummary.ClassloaderDominatorRecord extends Object
A record containing information for objects loaded by one class loader dominating a set of other objects

## Constructor Summary

Constructors
Constructor
Description
`ClassloaderDominatorRecord()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getDominatedCount()`
Get the number of dominated objects
`long`
`getDominatedNetSize()`
Get the total net size of the dominated objects
`long`
`getDominatedRetainedSize()`
`int`
`getDominatorCount()`
Get the total net size of the dominators
`long`
`getDominatorNetSize()`
Get the total net size of the dominators
`long`
`getDominatorRetainedSize()`
`int`
`getId()`
`String`
`getName()`
`List<DominatorsSummary.ClassDominatorRecord>`
`getRecords()`
`void`
`setDominatedRetainedSize(long dominatedRetainedSize)`
`void`
`setDominatorRetainedSize(long dominatorRetainedSize)`
`void`
`setId(int id)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassloaderDominatorRecord

public ClassloaderDominatorRecord()

## Method Details

### getName

public String getName()

### getDominatedNetSize

public long getDominatedNetSize()
Get the total net size of the dominated objects

### getDominatedCount

public int getDominatedCount()
Get the number of dominated objects

### getDominatorCount

public int getDominatorCount()
Get the total net size of the dominators

### getDominatorNetSize

public long getDominatorNetSize()
Get the total net size of the dominators

### getRecords

public List<DominatorsSummary.ClassDominatorRecord> getRecords()

### getId

public int getId()

### setId

public void setId(int id)

### getDominatedRetainedSize

public long getDominatedRetainedSize()

### setDominatedRetainedSize

public void setDominatedRetainedSize(long dominatedRetainedSize)

### getDominatorRetainedSize

public long getDominatorRetainedSize()

### setDominatorRetainedSize

public void setDominatorRetainedSize(long dominatorRetainedSize)